Spec0docsCLI 0.7.0
API Explorer

Update the calling org's Spectral ruleset

Plan-gated — requires Pro or higher. Built-in rulesets are always available.

PUT
/api/v1/public/spectral/ruleset

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token. Either a Personal Access Token (pat_...) or a Service Account Token (sat_...). Issued via the Spec0 dashboard or /me/personal-access-tokens.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

rulesetYaml*string

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://app.spec0.io/api/v1/public/spectral/ruleset" \  -H "Content-Type: application/json" \  -d '{    "rulesetYaml": "string"  }'
{
  "status": "ok"
}
{
  "error": "string",
  "message": "string"
}
{
  "status": 0,
  "title": "string",
  "detail": "string",
  "type": "string",
  "instance": "string"
}
{
  "status": 0,
  "title": "string",
  "detail": "string",
  "type": "string",
  "instance": "string"
}
Was this helpful?